QImageFormatType(3qt)

NAME
QImageFormatType - Factory that makes QImageFormat objects

SYNOPSIS

#include <qasyncimageio.h>

  Public Members
virtual ~QImageFormatType ()
virtual QImageFormat* decoderFor ( const uchar * buffer, int length )
virtual const char* formatName () const

  Protected Members
QImageFormatType ()

DESCRIPTION
Factory that makes QImageFormat objects.

While the QImageIO class allows for complete loading of images, QImageFormatType allows for incremental loading of images.

New image file formats are installed by creating objects of derived classes of QImageFormatType. They must implement decoderFor() and formatName().

QImageFormatType is a very simple class. Its only task is to recognize image data in some format and make a new object, subclassed from QImageFormat, which can decode that format.

The factories for formats built into Qt are automatically defined before any other factory is initialized. If two factories would recognize an image format, the factory created last will override the earlier one, thus you can override current and future built-in formats.

MEMBER FUNCTION DOCUMENTATION

QImageFormatType::QImageFormatType () [protected]
Creates a factory. It automatically registers itself with QImageDecoder.

QImageFormatType::~QImageFormatType () [virtual]
Destroys a factory. It automatically unregisters itself from QImageDecoder.

virtual QImageFormat* QImageFormatType::decoderFor ( const uchar * buffer, int length ) [virtual]
Returns a decoder for decoding an image which starts with the give bytes. This function should only return a decoder if it is definate that the decoder applies to data with the given header. Returns 0 if there is insufficient data in the header to make a positive identification, or if the data is not recognized.

virtual const char* QImageFormatType::formatName () const [virtual]
Returns the name of the format supported by decoders from this factory. The string is statically allocated.

SEE ALSO
http://www.troll.no/qt/qimageformattype.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.